package org.bdware.mockjava.generator;

import com.google.gson.JsonElement;
import com.google.gson.JsonPrimitive;
import org.bdware.mockjava.ValueGenerator;

import java.security.SecureRandom;
import java.util.Random;

@Generator(tag = "@integer")
public class IntegerGenerator extends ValueGenerator {
    // TODO
    public static IntegerGenerator create(String[] args) {
        return new IntegerGenerator();
    }

    static Random secureRandom = new SecureRandom();

    @Override
    public JsonElement generate(String preField, JsonElement previous) {
        return new JsonPrimitive(secureRandom.nextInt());
    }
}
